import { PureObject } from '../../../types';
import { PropType } from 'vue';

declare const _default: import('vue').DefineComponent<{
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    ids: {
        type: PropType<string[]>;
        default: () => never[];
    };
}, {
    submitHandle: () => void;
    getRoomList: () => Promise<void>;
    defaultProps: {
        children: string;
        label: string;
        key: string;
    };
    selectType: import('vue').Ref<number>;
    checkedRoomIds: import('vue').Ref<string[]>;
    checkedRoomIdsMap: import('vue').Ref<string[]>;
    roomList: import('vue').Ref<{
        id: number;
        name: string;
        itemList?: any[] | undefined;
    }[]>;
    roomListMap: import('vue').Ref<PureObject<string>>;
    hasGroup: import('vue').Ref<boolean>;
}, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, "submit"[], "submit", import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    ids: {
        type: PropType<string[]>;
        default: () => never[];
    };
}>> & {
    onSubmit?: ((...args: any[]) => any) | undefined;
}, {
    visible: boolean;
    ids: string[];
}, {}>;
export default _default;
